Bug 80011 - [softpipe] tgsi/tgsi_exec.c:2023:exec_txf: Assertion `0' failed.
Summary: [softpipe] tgsi/tgsi_exec.c:2023:exec_txf: Assertion `0' failed.
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords: have-backtrace
Depends on:
Blocks:
 
Reported: 2014-06-14 01:21 UTC by Vinson Lee
Modified: 2014-08-29 23:18 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2014-06-14 01:21:21 UTC
mesa: ffe609cc69f328de5b57d4d7ab1d270fcf28de5f (master)

Run glsl-resource-not-bound 2DMS.

$ ./bin/glsl-resource-not-bound 2DMS -auto
tgsi/tgsi_exec.c:2023:exec_txf: Assertion `0' failed.
Trace/breakpoint trap (core dumped)


(gdb) bt
#0  0x00007fdea2120e87 in _debug_assert_fail (expr=0x7fdea2231149 "0", file=0x7fdea2231114 "tgsi/tgsi_exec.c", line=2023, function=0x7fdea2231ae6 <__func__.6804> "exec_txf") at util/u_debug.c:309
#1  0x00007fdea2101567 in exec_txf (mach=0x7fdea01ef010, inst=0xaed210) at tgsi/tgsi_exec.c:2023
#2  0x00007fdea210919e in exec_instruction (mach=0x7fdea01ef010, inst=0xaed210, pc=0x7fff059470e4) at tgsi/tgsi_exec.c:4240
#3  0x00007fdea210a881 in tgsi_exec_machine_run (mach=0x7fdea01ef010) at tgsi/tgsi_exec.c:4670
#4  0x00007fdea1d7c170 in exec_run (var=0xaec9c0, machine=0x7fdea01ef010, quad=0x6f3d00) at sp_fs_exec.c:129
#5  0x00007fdea1d84f56 in shade_quad (qs=0x648e00, quad=0x6f3d00) at sp_quad_fs.c:83
#6  0x00007fdea1d85110 in shade_quads (qs=0x648e00, quads=0x6f6180, nr=1) at sp_quad_fs.c:136
#7  0x00007fdea1d8e42a in flush_spans (setup=0x6f3c80) at sp_setup.c:251
#8  0x00007fdea1d8f83a in subtriangle (setup=0x6f3c80, eleft=0x6f3ca8, eright=0x6f3cd8, lines=80) at sp_setup.c:755
#9  0x00007fdea1d8fbaf in sp_setup_tri (setup=0x6f3c80, v0=0xaeee00, v1=0xaeee10, v2=0xaeee20) at sp_setup.c:855
#10 0x00007fdea1d7fd08 in sp_vbuf_draw_arrays (vbr=0x642e20, start=0, nr=4) at sp_prim_vbuf.c:493
#11 0x00007fdea20d2531 in draw_pt_emit_linear (emit=0x661a40, vert_info=0x7fff059474d0, prim_info=0x7fff05947600) at draw/draw_pt_emit.c:258
#12 0x00007fdea20d516d in emit (emit=0x661a40, vert_info=0x7fff059474d0, prim_info=0x7fff05947600) at draw/draw_pt_fetch_shade_pipeline.c:196
#13 0x00007fdea20d5749 in fetch_pipeline_generic (middle=0x661900, fetch_info=0x0, in_prim_info=0x7fff05947600) at draw/draw_pt_fetch_shade_pipeline.c:352
#14 0x00007fdea20d58af in fetch_pipeline_linear_run (middle=0x661900, start=0, count=4, prim_flags=0) at draw/draw_pt_fetch_shade_pipeline.c:416
#15 0x00007fdea20de023 in vsplit_segment_simple_linear (vsplit=0x6401e0, flags=0, istart=0, icount=4) at draw/draw_pt_vsplit_tmp.h:240
#16 0x00007fdea20de31a in vsplit_run_linear (frontend=0x6401e0, start=0, count=4) at draw/draw_split_tmp.h:60
#17 0x00007fdea20d0c3d in draw_pt_arrays (draw=0x631bd0, prim=6, start=0, count=4) at draw/draw_pt.c:149
#18 0x00007fdea20d1a68 in draw_vbo (draw=0x631bd0, info=0x7fff05947760) at draw/draw_pt.c:564
#19 0x00007fdea1d7e555 in softpipe_draw_vbo (pipe=0x6439f0, info=0x7fff059478b0) at sp_draw_arrays.c:131
#20 0x00007fdea20b8287 in cso_draw_vbo (cso=0x74b810, info=0x7fff059478b0) at cso_cache/cso_context.c:1428
#21 0x00007fdea1f910b8 in st_draw_vbo (ctx=0x7fdea7a3b010, prims=0x7fff05947980, nr_prims=1, ib=0x0, index_bounds_valid=1 '\001', min_index=0, max_index=3, tfb_vertcount=0x0, indirect=0x0)
    at state_tracker/st_draw.c:276
#22 0x00007fdea1f49a48 in vbo_draw_arrays (ctx=0x7fdea7a3b010, mode=6, start=0, count=4, numInstances=1, baseInstance=0) at vbo/vbo_exec_array.c:667
#23 0x00007fdea1f4a493 in vbo_exec_DrawArrays (mode=6, start=0, count=4) at vbo/vbo_exec_array.c:819
#24 0x00007fdea755d518 in stub_glDrawArrays (mode=6, first=0, count=4) at piglit/tests/util/generated_dispatch.c:6274
#25 0x0000000000401592 in draw_rect_core (x=-1, y=-1, w=1, h=1) at piglit/tests/spec/gl-3.2/glsl-resource-not-bound.c:116
#26 0x00000000004015bf in piglit_display () at piglit/tests/spec/gl-3.2/glsl-resource-not-bound.c:126
#27 0x00007fdea754ec02 in display () at piglit/tests/util/piglit-framework-gl/piglit_glut_framework.c:60
#28 0x00007fdea6ce6244 in fghRedrawWindow (window=0x62cba0) at freeglut_main.c:231
#29 fghcbDisplayWindow (window=0x62cba0, enumerator=0x7fff05947b40) at freeglut_main.c:248
#30 0x00007fdea6ce9aa9 in fgEnumWindows (enumCallback=enumCallback@entry=0x7fdea6ce61d0 <fghcbDisplayWindow>, enumerator=enumerator@entry=0x7fff05947b40) at freeglut_structure.c:396
#31 0x00007fdea6ce67fd in fghDisplayAll () at freeglut_main.c:271
#32 glutMainLoopEvent () at freeglut_main.c:1523
#33 0x00007fdea6ce6ffd in glutMainLoop () at freeglut_main.c:1571
#34 0x00007fdea754ef3e in run_test (gl_fw=0x7fdea783f3c0 <glut_fw>, argc=2, argv=0x7fff05947f18) at piglit/tests/util/piglit-framework-gl/piglit_glut_framework.c:167
#35 0x00007fdea754cc39 in piglit_gl_test_run (argc=2, argv=0x7fff05947f18, config=0x7fff05947de0) at piglit/tests/util/piglit-framework-gl.c:151
#36 0x00000000004010c5 in main (argc=2, argv=0x7fff05947f18) at piglit/tests/spec/gl-3.2/glsl-resource-not-bound.c:32
(gdb) frame 1
#1  0x00007fdea2101567 in exec_txf (mach=0x7fdea01ef010, inst=0xaed210) at tgsi/tgsi_exec.c:2023
2023	      assert(0);
(gdb) l
2018	   case TGSI_TEXTURE_1D:
2019	   case TGSI_TEXTURE_SHADOW1D:
2020	      IFETCH(&r[0], 0, TGSI_CHAN_X);
2021	      break;
2022	   default:
2023	      assert(0);
2024	      break;
2025	   }      
2026	
2027	   mach->Sampler->get_texel(mach->Sampler, unit, r[0].i, r[1].i, r[2].i, r[3].i,
(gdb) print target
$1 = 14

src/gallium/include/pipe/p_shader_tokens.h 
   535  #define TGSI_TEXTURE_BUFFER         0
   536  #define TGSI_TEXTURE_1D             1
   537  #define TGSI_TEXTURE_2D             2
   538  #define TGSI_TEXTURE_3D             3
   539  #define TGSI_TEXTURE_CUBE           4
   540  #define TGSI_TEXTURE_RECT           5
   541  #define TGSI_TEXTURE_SHADOW1D       6
   542  #define TGSI_TEXTURE_SHADOW2D       7
   543  #define TGSI_TEXTURE_SHADOWRECT     8
   544  #define TGSI_TEXTURE_1D_ARRAY       9
   545  #define TGSI_TEXTURE_2D_ARRAY       10
   546  #define TGSI_TEXTURE_SHADOW1D_ARRAY 11
   547  #define TGSI_TEXTURE_SHADOW2D_ARRAY 12
   548  #define TGSI_TEXTURE_SHADOWCUBE     13
   549  #define TGSI_TEXTURE_2D_MSAA        14
   550  #define TGSI_TEXTURE_2D_ARRAY_MSAA  15
   551  #define TGSI_TEXTURE_CUBE_ARRAY     16
   552  #define TGSI_TEXTURE_SHADOWCUBE_ARRAY 17
   553  #define TGSI_TEXTURE_UNKNOWN        18
   554  #define TGSI_TEXTURE_COUNT          19
Comment 1 Roland Scheidegger 2014-08-29 23:18:39 UTC
Fixed by 032fe4ed233e5cc2c2da9f453087745ff4ee1277


bug/show.html.tmpl processed on Feb 23, 2017 at 20:54:15.
(provided by the Example extension).